#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n, k;
    cin >> n >> k;
    int niz[n];
    for(int i=0;i<n;++i){
        cin >> niz[i];
    }

    if(k == niz[n-1]){
        cout << niz[0];
    }
    else{
        for(int i=0;i<n-1;++i){
            if(k==niz[i]){
                cout << niz[i+1];
            }
        }
    }

    return 0;
}